1
 2020][1900](src/main.c:541) Starting as daemon, forking to background
[5][Thu Feb 27 11:50:04 2020][1901](src/main.c:254) MHD version is 0.9.62
[3][Thu Feb 27 11:50:04 2020][1901](src/main.c:270) libmicrohttpd is out of date, please upgrade to version 0.9.69 or higher
[3][Thu Feb 27 11:50:04 2020][1901](src/main.c:273) exiting...

rasbian lite version 2020-02-14 I've have tried both upgrading nodogsplash and libmicrohttpd-dev but with failure. I can't find the updated versions for lib but I also tried for downgrading nodogsplash.

I've been following this guide. https://pimylifeup.com/raspberry-pi-captive-portal/

1
  • Please post what you did, not what the tutorial says you should have done. How did you install this nodogsplash? Which version? How did you try to upgrade? What was the failure you got? Feb 28 '20 at 8:52
1

Set the option in the /etc/nodogsplash/nodogsplash.conf file:

use_outdated_mhd 1

It can force the use of the old version at the risk of loss or corruption of form data, for example when using passwords etc.

If you face any other problem, check this Github issue out. However, if you concern to update the libmicrohttpd (MHD), check these sources (1), (2).

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.